diff options
author | Dexter Morgan <dmorgan@mageia.org> | 2011-12-28 00:59:44 +0000 |
---|---|---|
committer | Dexter Morgan <dmorgan@mageia.org> | 2011-12-28 00:59:44 +0000 |
commit | 098acd7ee98a7c93508bf527a0c09e03a6b84f7c (patch) | |
tree | 8c0f9c0d8f4b38610eee708cf5860e8db3a88770 | |
parent | 22d28ae9703c8c8fd9ef771d0de4df8d2da38600 (diff) | |
download | rpm-setup-098acd7ee98a7c93508bf527a0c09e03a6b84f7c.tar rpm-setup-098acd7ee98a7c93508bf527a0c09e03a6b84f7c.tar.gz rpm-setup-098acd7ee98a7c93508bf527a0c09e03a6b84f7c.tar.bz2 rpm-setup-098acd7ee98a7c93508bf527a0c09e03a6b84f7c.tar.xz rpm-setup-098acd7ee98a7c93508bf527a0c09e03a6b84f7c.zip |
Add support for osgi and maven provide
-rw-r--r-- | NEWS | 1 | ||||
-rwxr-xr-x | find-provides.in | 14 |
2 files changed, 15 insertions, 0 deletions
@@ -1,3 +1,4 @@ +- Add support for osgi and maven provide - Use upstream desktop-file.prov as we had exactly the same file Version 1.147 - 27 Dec 2011, by Anssi Hannula diff --git a/find-provides.in b/find-provides.in index 3adf346..0ef9b15 100755 --- a/find-provides.in +++ b/find-provides.in @@ -143,4 +143,18 @@ fi echo "$solist" | tr '[:blank:]' \\n | @RPMVENDORDIR@/gstreamer.prov | sort -u \ && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMVENDORDIR@/gstreamer.prov failed' >&2 && exit 1 +# +# --- osgi provides +if [ -x @RPMLIBDIR@/osgi.prov ];then + echo $filelist | tr '[:blank:]' '\n' | @RPMLIBDIR@/osgi.prov \ + && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMLIBDIR@/osgi.prov failed' >&2 && exit 1 +fi + +# +# --- maven provides +if [ -x @RPMLIBDIR@/maven.prov ];then + echo $filelist | tr '[:blank:]' '\n' | @RPMLIBDIR@/maven.prov \ + && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMLIBDIR@/maven.prov failed' >&2 && exit 1 +fi + exit 0 |